ChangeSet 1.1587.3.29, 2004/05/03 14:17:38-07:00, stern@rowland.harvard.edu

[PATCH] USB: Altsetting update for USB IrDA driver

This patch updates the USB IrDA driver to take into account that the
kernel may no longer store altsetting entries in numerical order.
The driver only needed one change; this was a simple matter of using the
entry corresponding to the altsetting that was just installed.


 drivers/net/irda/irda-usb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/net/irda/irda-usb.c b/drivers/net/irda/irda-usb.c
--- a/drivers/net/irda/irda-usb.c	Fri May 14 15:30:25 2004
+++ b/drivers/net/irda/irda-usb.c	Fri May 14 15:30:25 2004
@@ -1421,7 +1421,7 @@
 	}
 
 	/* Find our endpoints */
-	interface = &intf->altsetting[0];
+	interface = intf->cur_altsetting;
 	if(!irda_usb_parse_endpoints(self, interface->endpoint,
 				     interface->desc.bNumEndpoints)) {
 		ERROR("%s(), Bogus endpoints...\n", __FUNCTION__);
